Skip to main content
POST
Count

Authorizations

Authorization
string
header
required

API Token used for authentication. Example: "Authorization: Bearer {token}"

Body

application/json
lists
string<uuid>[] | null

The list IDs to filter by

semanticQuery
string | null

The semantic search query to find companies with. More natural language version of the standard query.

Maximum string length: 500
semanticWeight
number<double> | null

The semantic weight to apply to the results. Must be between 0 and 1. 0.7 is default. Larger values will prioritize semantic similarity, smaller values will prioritize traditional search factors.

Required range: 0 <= x <= 1
exclude
object | null

Exclusion filters to apply on the companies. If a company matches any of the filters here, it will be excluded from the results.

query
string | null

The search query to apply on the company name and domain

Maximum string length: 250
foundedYear
object | null

The range of years

fundingAmount
object | null

The funding amount range to filter by

fundingYear
object | null

The range of years

categoryOperator
any | null

The operator to apply to the filters. Defaults to And.

Available options:
And,
Or,
null
keywordsOperator
any | null

The operator to apply to the filters. Defaults to And.

Available options:
And,
Or,
null
technologiesOperator
any | null

The operator to apply to the filters. Defaults to And.

Available options:
And,
Or,
null
workforceGrowth
object | null

Filter companies by workforce growth percentage over a selected period and department.

workforceSize
object[] | null

Filter companies by absolute workforce headcount. Multiple entries can be provided to filter on different departments simultaneously.

require
enum<string>[] | null

The features that must exist for the company

Available options:
linkedin,
twitter,
facebook,
instagram,
angellist,
crunchbase,
youtube,
country,
city,
state,
revenue,
foundedYear,
anyFunding
regions
string[] | null

The region IDs to filter by

countries
string[] | null

The 2 letter country codes to filter by

states
integer<int32>[] | null

The state IDs to filter by

cities
integer<int32>[] | null

The city IDs to filter by

type
enum<string>[] | null

The list of company types to filter by

Available options:
private,
public,
self-employed,
self-owned,
partnership,
nonprofit,
educational,
government
category
enum<string>[] | null

The list of company categories to filter by

Available options:
b2b,
b2c,
b2g,
e-commerce,
media,
service-provider,
mobile,
saas,
local-business
employees
enum<string>[] | null

The list of employee counts to filter by

Available options:
1-10,
11-50,
51-200,
201-500,
501-1K,
1K-5K,
5K-10K,
over-10K
reportedEmployees
enum<string>[] | null

The list of externally reported employee counts to filter by

Available options:
1-10,
11-50,
51-200,
201-500,
501-1K,
1K-5K,
5K-10K,
over-10K
revenue
enum<string>[] | null

The list of revenue ranges to filter by

Available options:
under-1m,
1m-10m,
10m-50m,
50m-100m,
100m-200m,
200m-1b,
over-1b
naicsCode
integer<int32>[] | null

The NAICS codes to filter by. Can be 2 to 6 digit codes. In case of a 2-5 digit code, all 6 digit codes under it will be included

keywords
string[] | null

The keywords to filter by

technologies
string[] | null

The technologies to filter by

fundingRounds
enum<string>[] | null

The funding rounds to filter by

Available options:
seed,
debt_financing,
angel,
venture,
series_a,
series_b,
series_c,
series_d,
series_e,
series_f,
series_g,
series_h,
other

Response

OK

The response is of type integer<int32>.